## org.omg.CORBA
Class ContainedSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ContainedSeqHelper

public class ContainedSeqHelper
extends java.lang.Object

Helper class for : ContainedSeq

Author:
  OpenORB Compiler

Constructor Summary
`ContainedSeqHelper()`

Method Summary
`static Contained[]` `extract(Any a)` Extract ContainedSeq from an any
`static java.lang.String` `id()` Return the ContainedSeq IDL ID
`static void` `insert(Any a, Contained[] t)` Insert ContainedSeq into an any
`static Contained[]` `read(InputStream istream)` Read ContainedSeq from a marshalled stream
`static TypeCode` `type()` Return the ContainedSeq TypeCode
`static void` `write(OutputStream ostream, Contained[] value)` Write ContainedSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainedSeqHelper

    public ContainedSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              Contained[] t)

  Insert ContainedSeq into an any
  Parameters:
    `a` - an any
    `t` - ContainedSeq value

### extract

    public static Contained[] extract(Any a)

  Extract ContainedSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ContainedSeq value

### type

    public static TypeCode type()

  Return the ContainedSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ContainedSeq IDL ID
  Returns:
    an ID

### read

    public static Contained[] read(InputStream istream)

  Read ContainedSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ContainedSeq value

### write

    public static void write(OutputStream ostream,
                             Contained[] value)

  Write ContainedSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ContainedSeq value